pandas_datareader的非解密版本是什么?

我目前正在重拾python,并从事一些轻量级的数据分析工作。我正在使用pandas_datareader来拉取数据,但我收到了这样的警告

FutureWarning: pandas.util.testing is deprecated. Use the functions in the public API at pandas.testing instead.
from pandas.util.testing import assert_frame_equal

是我漏掉了一个新的版本,还是这个警告我应该直接忽略?

解决方案:

首先,pandas当前的版本是 1.0.3第二, pandas.util 顶层模块是私有的,所以不能保证它的稳定性,请检查。文档 以获取更多信息。

第三: assert_frame_equal 现在可作为部分 pandas.testing

本文来自投稿,不代表运维实战侠立场,如若转载,请注明出处:https://www.shizhanxia.com/1685.html

(0)
上一篇 2022年6月29日 下午4:10
下一篇 2022年6月29日 下午4:10

相关推荐

发表评论

登录后才能评论